## visad.data.vis5d
Class Vis5DFamily

    java.lang.Object
      visad.data.FormNode
          visad.data.FormFamily
              visad.data.FunctionFormFamily
                  visad.data.vis5d.Vis5DFamily

public class Vis5DFamily
extends FunctionFormFamily

A container for Vis5D file types - regular using Vis5DAdaptedForm and Vis5D TOPO files. To read a `Data` object from a file or URL:

        Data data = new Vis5DFamily("vis5d").open(string);

See Also:
  `Vis5DAdaptedForm`, `Vis5DTopoForm`

Nested Class Summary

Nested classes inherited from class visad.data.FunctionFormFamily
``

Field Summary

Fields inherited from class visad.data.FormFamily
`forms`

Constructor Summary
`Vis5DFamily(String name)` Construct a family of the supported map datatype Forms

Method Summary
`static void` `addFormToList(FormNode form)` Add to the family of the supported map datatype Forms
`static void` `main(String[] args)` Test the Vis5DFamily class run java visad.data.vis5d.Vis5DFamily v5dfile1 v5dfile2 ...
`DataImpl` `open(String id)` Open a local data object using the first appropriate map form.
`DataImpl` `open(URL url)` Open a remote data object using the first appropriate map form.

Methods inherited from class visad.data.FunctionFormFamily
`add, save`

Methods inherited from class visad.data.FormFamily
`addFormNode, getForms`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vis5DFamily

    public Vis5DFamily(String name)

  Construct a family of the supported map datatype Forms

Parameters:
  `name` - name of the family

Method Detail

### addFormToList

    public static void addFormToList(FormNode form)
                              throws ArrayIndexOutOfBoundsException

  Add to the family of the supported map datatype Forms

  Parameters:
    `form` - FormNode to add to the list
  Throws:
    `ArrayIndexOutOfBoundsException` - If there is no more room in the list.

### open

    public DataImpl open(String id)
                  throws BadFormException,
                         VisADException

  Open a local data object using the first appropriate map form.

  Overrides:
    `open` in class `FunctionFormFamily`
  Parameters:
    `id` - String representing the path of the map file
  Throws:
    `BadFormException` - - no form is appropriate
    `VisADException` - - VisAD error

### open

    public DataImpl open(URL url)
                  throws BadFormException,
                         VisADException,
                         IOException

  Open a remote data object using the first appropriate map form.

  Overrides:
    `open` in class `FunctionFormFamily`
  Parameters:
    `url` - URL representing the location of the map file
  Throws:
    `BadFormException` - - no form is appropriate
    `VisADException` - - VisAD error
    `IOException` - - file not found

### main

    public static void main(String[] args)
                     throws BadFormException,
                            IOException,
                            RemoteException,
                            VisADException

  Test the Vis5DFamily class run java visad.data.vis5d.Vis5DFamily v5dfile1 v5dfile2 ... v5dfilen

  Throws:
    `BadFormException`
    `IOException`
    `RemoteException`
    `VisADException`